# Class: pool&#95;patch

**This class is deprecated.**

Pool&#45;wide patches

## Fields for class: pool&#95;patch

|Field               |Type                |Qualifier      |Description                             |
|:-------------------|:-------------------|:--------------|:---------------------------------------|
|`after_apply_guidance`|`after_apply_guidance set`|_RO/runtime_   |**Deprecated.** What the client should do after this patch has been applied.|
|`host_patches`      |`host_patch ref set`|_RO/runtime_   |**Deprecated.** This hosts this patch is applied to.    |
|`name_description`  |`string`            |_RO/constructor_|**Deprecated.** a notes field containing human&#45;readable description|
|`name_label`        |`string`            |_RO/constructor_|**Deprecated.** a human&#45;readable name               |
|`other_config`      |`(string -> string) map`|_RW_           |**Deprecated.** additional configuration                |
|`pool_applied`      |`bool`              |_RO/runtime_   |**Deprecated.** This patch should be applied across the entire pool|
|`pool_update`       |`pool_update ref`   |_RO/constructor_|**Deprecated.** A reference to the associated pool&#95;update object|
|`size`              |`int`               |_RO/runtime_   |**Deprecated.** Size of the patch                       |
|`uuid`              |`string`            |_RO/runtime_   |**Deprecated.** Unique identifier/object reference      |
|`version`           |`string`            |_RO/constructor_|**Deprecated.** Patch version number                    |

## RPCs associated with class: pool&#95;patch

### RPC name: add&#95;to&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Add the given key&#45;value pair to the other&#95;config field of the given pool&#95;patch.

_Signature:_

```
void add_to_other_config (session ref session_ref, pool_patch ref self, string key, string value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |
|`string`                      |`key`                         |Key to add                              |
|`string`                      |`value`                       |Value to add                            |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: apply

**This message is deprecated.**

_Overview:_

Apply the selected patch to a host and return its output

_Signature:_

```
string apply (session ref session_ref, pool_patch ref self, host ref host)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |The patch to apply                      |
|`host ref`                    |`host`                        |The host to apply the patch too         |

_Minimum Role:_ pool-operator

_Return Type:_ `string`

the output of the patch application process

### RPC name: clean

**This message is deprecated.**

_Overview:_

Removes the patch's files from the server

_Signature:_

```
void clean (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |The patch to clean up                   |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: clean&#95;on&#95;host

**This message is deprecated.**

_Overview:_

Removes the patch's files from the specified host

_Signature:_

```
void clean_on_host (session ref session_ref, pool_patch ref self, host ref host)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |The patch to clean up                   |
|`host ref`                    |`host`                        |The host on which to clean the patch    |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: destroy

**This message is deprecated.**

_Overview:_

Removes the patch's files from all hosts in the pool, and removes the database entries.  Only works on unapplied patches.

_Signature:_

```
void destroy (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |The patch to destroy                    |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: get&#95;after&#95;apply&#95;guidance

**This message is deprecated.**

_Overview:_

Get the after&#95;apply&#95;guidance field of the given pool&#95;patch.

_Signature:_

```
after_apply_guidance set get_after_apply_guidance (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `after_apply_guidance set`

value of the field

### RPC name: get&#95;all

**This message is deprecated.**

_Overview:_

Return a list of all the pool&#95;patchs known to the system.

_Signature:_

```
pool_patch ref set get_all (session ref session_ref)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |

_Minimum Role:_ read-only

_Return Type:_ `pool_patch ref set`

references to all objects

### RPC name: get&#95;all&#95;records

**This message is deprecated.**

_Overview:_

Return a map of pool&#95;patch references to pool&#95;patch records for all pool&#95;patchs known to the system.

_Signature:_

```
(pool_patch ref -> pool_patch record) map get_all_records (session ref session_ref)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |

_Minimum Role:_ read-only

_Return Type:_ `(pool_patch ref -> pool_patch record) map`

records of all objects

### RPC name: get&#95;by&#95;name&#95;label

**This message is deprecated.**

_Overview:_

Get all the pool&#95;patch instances with the given label.

_Signature:_

```
pool_patch ref set get_by_name_label (session ref session_ref, string label)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`string`                      |`label`                       |label of object to return               |

_Minimum Role:_ read-only

_Return Type:_ `pool_patch ref set`

references to objects with matching names

### RPC name: get&#95;by&#95;uuid

**This message is deprecated.**

_Overview:_

Get a reference to the pool&#95;patch instance with the specified UUID.

_Signature:_

```
pool_patch ref get_by_uuid (session ref session_ref, string uuid)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`string`                      |`uuid`                        |UUID of object to return                |

_Minimum Role:_ read-only

_Return Type:_ `pool_patch ref`

reference to the object

### RPC name: get&#95;host&#95;patches

**This message is deprecated.**

_Overview:_

Get the host&#95;patches field of the given pool&#95;patch.

_Signature:_

```
host_patch ref set get_host_patches (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `host_patch ref set`

value of the field

### RPC name: get&#95;name&#95;description

**This message is deprecated.**

_Overview:_

Get the name/description field of the given pool&#95;patch.

_Signature:_

```
string get_name_description (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;name&#95;label

**This message is deprecated.**

_Overview:_

Get the name/label field of the given pool&#95;patch.

_Signature:_

```
string get_name_label (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Get the other&#95;config field of the given pool&#95;patch.

_Signature:_

```
(string -> string) map get_other_config (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `(string -> string) map`

value of the field

### RPC name: get&#95;pool&#95;applied

**This message is deprecated.**

_Overview:_

Get the pool&#95;applied field of the given pool&#95;patch.

_Signature:_

```
bool get_pool_applied (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `bool`

value of the field

### RPC name: get&#95;pool&#95;update

**This message is deprecated.**

_Overview:_

Get the pool&#95;update field of the given pool&#95;patch.

_Signature:_

```
pool_update ref get_pool_update (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `pool_update ref`

value of the field

### RPC name: get&#95;record

**This message is deprecated.**

_Overview:_

Get a record containing the current state of the given pool&#95;patch.

_Signature:_

```
pool_patch record get_record (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `pool_patch record`

all fields from the object

### RPC name: get&#95;size

**This message is deprecated.**

_Overview:_

Get the size field of the given pool&#95;patch.

_Signature:_

```
int get_size (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `int`

value of the field

### RPC name: get&#95;uuid

**This message is deprecated.**

_Overview:_

Get the uuid field of the given pool&#95;patch.

_Signature:_

```
string get_uuid (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;version

**This message is deprecated.**

_Overview:_

Get the version field of the given pool&#95;patch.

_Signature:_

```
string get_version (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: pool&#95;apply

**This message is deprecated.**

_Overview:_

Apply the selected patch to all hosts in the pool and return a map of host&#95;ref &#45;&gt; patch output

_Signature:_

```
void pool_apply (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |The patch to apply                      |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: pool&#95;clean

**This message is deprecated.**

_Overview:_

Removes the patch's files from all hosts in the pool, but does not remove the database entries

_Signature:_

```
void pool_clean (session ref session_ref, pool_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |The patch to clean up                   |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: precheck

**This message is deprecated.**

_Overview:_

Execute the precheck stage of the selected patch on a host and return its output

_Signature:_

```
string precheck (session ref session_ref, pool_patch ref self, host ref host)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |The patch whose prechecks will be run   |
|`host ref`                    |`host`                        |The host to run the prechecks on        |

_Minimum Role:_ pool-operator

_Return Type:_ `string`

the output of the patch prechecks

### RPC name: remove&#95;from&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Remove the given key and its corresponding value from the other&#95;config field of the given pool&#95;patch.  If the key is not in that Map, then do nothing.

_Signature:_

```
void remove_from_other_config (session ref session_ref, pool_patch ref self, string key)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |
|`string`                      |`key`                         |Key to remove                           |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Set the other&#95;config field of the given pool&#95;patch.

_Signature:_

```
void set_other_config (session ref session_ref, pool_patch ref self, (string -> string) map value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`pool_patch ref`              |`self`                        |reference to the object                 |
|`(string -> string) map`      |`value`                       |New value to set                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`
